CVC4::Divisible Struct Reference

The structure representing the divisibility-by-k predicate. More...

`#include <divisible.h>`

Collaboration diagram for CVC4::Divisible:
[legend]

## Public Member Functions

| Divisible (const Integer &n)
bool | operator== (const Divisible &d) const
bool | operator!= (const Divisible &d) const

## Data Fields

const Integer | k

## Detailed Description

The structure representing the divisibility-by-k predicate.

Definition at line 32 of file divisible.h.

## Constructor & Destructor Documentation

## Divisible()

CVC4::Divisible::Divisible | ( | const Integer & | n | ) |

## Member Function Documentation

## operator!=()

bool CVC4::Divisible::operator!= | ( | const Divisible & | d | ) | const

inline

Definition at line 41 of file divisible.h.

## operator==()

bool CVC4::Divisible::operator== | ( | const Divisible & | d | ) | const

inline

Definition at line 37 of file divisible.h.

References k.

## Field Documentation

## k

const Integer CVC4::Divisible::k

Definition at line 33 of file divisible.h.

Referenced by CVC4::DivisibleHashFunction::operator()(), CVC4::operator<<(), and operator==().

The documentation for this struct was generated from the following file:

- src/util/divisible.h